journal_init_inode
Prev | Journal Level | Next

## Name

journal_init_inode — creates a journal which maps to a inode.

## Synopsis

`journal_t * journal_init_inode (` | struct inode * | inode`)`;

## Arguments

`inode`

  An inode to create the journal in

## Description

journal_init_inode creates a journal which maps an on-disk inode as the journal. The inode must exist already, must support `bmap` and must have all data blocks preallocated.

Prev | Up | Next
journal_init_dev | Home | journal_create